ST_BdMPolyFromText
Prev | 8.8.1. Well-Known Text (WKT) | Next

## Name

ST_BdMPolyFromText — Construct a MultiPolygon given an arbitrary collection of closed linestrings as a MultiLineString text representation Well-Known text representation.

## Synopsis

`geometry ST_BdMPolyFromText(`text WKT, integer srid`)`;

## Description

Construct a Polygon given an arbitrary collection of closed linestrings, polygons, MultiLineStrings as Well-Known text representation.

Throws an error if WKT is not a MULTILINESTRING. Forces MULTIPOLYGON output even when result is really only composed by a single POLYGON; use ST_BdPolyFromText if you're sure a single POLYGON will result from operation, or see ST_BuildArea() for a postgis-specific approach.

This method implements the OGC Simple Features Implementation Specification for SQL 1.1. s3.2.6.2

Performed by the GEOS module.

Availability: 1.1.0

## See Also

ST_BuildArea, ST_BdPolyFromText

Prev | Up | Next
ST_BdPolyFromText | Home | ST_GeogFromText